//relay.c
#include <ioml67q5003.h>
#include "relay.h"


// Init relay port
void InitRelay(void) {
  GPCTL_bit.GPCTL0 = 0;   //first function on port A

  GPPMA_bit.GPPMA5 = 1;   //bit 5 - output (O1)
  GPPMA_bit.GPPMA6 = 1;   //bit 6 - output (O2)

  GPPOA_bit.GPPOA5 = 0;
  GPPOA_bit.GPPOA6 = 0;
}

// Relay 1 - on/off
void Relay1(unsigned char state) {
  if(state)
    GPPOA_bit.GPPOA5 = 1;
  else
    GPPOA_bit.GPPOA5 = 0;

}

// Relay 2 - on/off
void Relay2(unsigned char state) {
  if(state)
    GPPOA_bit.GPPOA6 = 1;
  else
    GPPOA_bit.GPPOA6 = 0;
}

